simple-cdd (0.6.10) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Add i386 custom installer for amd64 builds
  * Fix Python3 syntax warnings (Closes: #1087086)
  * Add distro-info-data to the dependencies
  * Better URL for the security mirror
  * DEBVERSION might be set to unstable, handle that
  * Add tasksel-data explicitly to reprepro formula
  * Disable UEFI_32 for amd64 builds >= trixie

  [ g0t mi1k ]
  * GnuPG: Add --verbose on import_keyring

  [ Eike ]
  * Don't try to include i386 installer images for trixie (Closes: #1111023,
    #1111510)

 -- Arnaud Rebillout <arnaudr@debian.org>  Tue, 09 Sep 2025 15:37:28 +0700

simple-cdd (0.6.9) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Consistently use log.warning(). Thanks to Marc Haber. (Closes: #988515)

  [ Raphaël Hertzog ]
  * Include cryptsetup-initramfs in default.downloads

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Arnaud Rebillout ]
  * Include usr-is-merged in default.downloads
  * Add installer-i386 to the local mirror for amd64 builds
  * Double reprepro_retries's default value, log if it's reached
    (Closes: #1030287)
  * Add myself as uploader

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 06 Feb 2023 12:10:35 +0700

simple-cdd (0.6.8) unstable; urgency=medium

  [ Sven Auhagen ]
  * Fix codename != di_codename reprepo Currently the distributions
    dictionary is not filled with the dist name and therefore an error
    occurs.

  [ Raphaël Hertzog ]
  * Add ignore_missing_checksums parameter.
    By setting this parameter to 1, it is now possible to work with
    repositories managed by reprepro where the installer files are not
    referenced in the top-level Release file. (Closes: #853198)
  * Add some sample configuration for use with a reprepro managed mirror
  * Fix the way to test for the ignore_missing_checksums parameter
  * Fix resolution of virtual packages by reprepro mirror tool
    (Closes: #949255)
  * Drop ":any" suffixes when identifying packages to mirror

  [ Vagrant Cascadian ]
  * Update to support bullseye security mirror layout.
    (Closes: #956958). Thanks to Buck for reporting the issue.

  [ John Franklin ]
  * Honor hd_img and hd_size, if they're set.
  * Change the format to qcow2.
  * Use -drive instead of -hda for more options and performance.

  [ Vagrant Cascadian ]
  * debian/control: Update to debhelper compatibility level 13.
  * debian/control: Set Rules-Requires-Root to no.
  * simple-cdd-profiles: Use "true" from PATH in postinst.
  * simple-cdd-profiles: Remove un-used #DEBHELPER# hook from postinst.
  * debian/control: Update Standards-Version to 4.5.0.
  * Fix bug in detection of releases using legacy security mirrors.
  * debian/control: Update Standards-Version to 4.5.1.
  * Remove example "ltsp" profile.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 22 Jan 2021 10:20:27 -0800

simple-cdd (0.6.7) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Remove invalid contact information from README.
  * Output command run on gpg verification failure rather than passing an
    undefined variable. (Closes: #919572, #929651).  Thanks to Vladislav
    Tsendrovskii and Marc Fargas for the reports.
  * Do not fail when expired keys are present in the keyring.
    (Closes: #928703, #929193). Thanks to Sebastien Delafond and Pradeep
    Nambiar.

  [ Vagrant Cascadian ]
  * Add back support for qemu_opts (Closes: #929660, #929636).
  * Update qemu configuration from -std-vga to -vga std.
  * Update example simple-cdd.conf and simple-cdd.conf.detailed, removing
    obsolete options and adjusting options requiring variables.
    (Closes: #909561).

  [ Dirk Mayer ]
  * added --batch param to gpg calls (Closes: #918102).

  [ Vagrant Cascadian ]
  * Update ltsp profile:
    - Use defaults for ltsp-client-builder.
    - Do not configure NFS, no longer used by default.
    - Use "ltsp-config dnsmasq" as it is the preferred DHCP server.
  * Update test profile:
    - Add preseeding to avoid asking to set up another CD.
    - Use preseeding to select default boot device.
    - Update arguments for non-graphical console.
    - Allow rebooting for initial boot test.
  * Update default profile:
    - Update question to avoid asking to set up another CD.
  * Update router profile:
    - Update default example ethernet interface.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 29 May 2019 21:29:45 -0700

simple-cdd (0.6.6) unstable; urgency=medium

  [ Jack Henschel ]
  * Add support for relative paths for "all_extras" and document the
    change (Closes: #882595).

  [ Vagrant Cascadian ]
  * Add a workaround for arm64 not including kernel params with older
    versions of debian-cd.
  * Patch debian-cd apt configuration to allow unsigned repositories.
    (Closes: #879642)
  * Set DEBVERSION based on CODENAME by getting release information from
    distro-info-data (Closes: #894209).
  * Finish transition away from "wget" by naming "wget" methods to
    "download".
  * Change variable name wget_debian_mirror to files_debian_mirror.
  * debian/control:
    - Set Priority to optional.
    - Update to Standards-Version 4.1.4.
    - Add Build-Depends on dh-python.
    - Update Vcs-* to use salsa.debian.org.
    - Update Maintainer field.
  * Update to debhelper compatibility level 11.
  * Use dpkg pkg-info.mk include file to get the package version in
    debian/rules.
  * debian/copyright:
    - Update to use https url for the Copyright-Format.
    - Update years on copyright information.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 22 Apr 2018 21:13:56 -0700

simple-cdd (0.6.5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Switch to using urllib instead of calling wget.
    - Only re-download files if known checksums do not match.
    - Explicitly set http_proxy in the environment.
    - Verify "mirror_files" to download with archive's "extrafiles", a
      signed list of checksums.
    - Switch default mirror to deb.debian.org and default protocol to
      http (Closes: #861198).
    - Many thanks to Enrico Zini for code review and improvements.
  * Update kernel package selection for i386.
  * Add stanzas to pull in required, important and standard packages for
    security, updates and proposed-updates when enabled.
  * Fix bug causing tracebacks when checksum or file size verifications
    fail.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 15 May 2017 14:10:37 -0700

simple-cdd (0.6.4) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * tools/build/debian-cd: Set wget variable, which is used to download
    d-i daily images.
  * Default to enabling security and updates mirrors, and remove
    use_*_mirror booleans.

  [ Boskovits, Gabriel ]
  * Add patch to support BOOT_TIMEOUT with grub2.

  [ Enrico Zini ]
  * Tested reading booleans from .conf files, and fixed parsing their
    values.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 17 Jan 2017 15:10:07 -0800

simple-cdd (0.6.3) unstable; urgency=medium

  * Move setting of debian-cd CONTRIB/NONFREE after setting variables from
    configuration files.
  * Move security, updates and backports mirror configuration after
    including profile configurations.
  * Switch to debhelper compat level 10:
    - Drop setting SOURCE_DATE_EPOCH in debian/rules.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 27 Nov 2016 18:40:54 -0800

simple-cdd (0.6.2) unstable; urgency=medium

  * Fix typo configuring reprepro security and updates mirrors. Thanks to
    Josh Gadeken and Lev Borodin. (Closes: #835446).
  * Fix bug when creating directory for custom installer. Thanks to Stefan
    Kisdaroczi. (Closes: #836819).
  * Fix calls to dose-debcheck to check all Packages files for dependency
    resolution (e.g. packages from "non-free" depending on packages in
    "main"). Thanks to Lev Borodin for the patch (Closes: #832898).
  * Update Standards-Version to 3.9.8, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 26 Nov 2016 14:38:18 -0800

simple-cdd (0.6.1) unstable; urgency=medium

  * router.packages: Install dbus, which is required when systemd is used.
  * Bump versioned dependency on debian-cd to 3.1.15, to resolve issues
    with systems with foreign-architectures enabled (Closes: #687355).
  * Bump version to 0.6.1 in setup.py.
  * Use help2man to generate simple-cdd manpage.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 14 Nov 2015 23:12:14 -0600

simple-cdd (0.6.0) unstable; urgency=medium

  [ Enrico Zini ]
  * Rewrite in python3.
    - Massively improved error logging (Closes: #469539).
    - Help output generated from code.
  * Add python3-simple-cdd package.

  [ Vagrant Cascadian ]
  * Remove use of debootstrap to calculate base system dependencies.
  * Remove debpartial-mirror code.
  * Drop dependency on apt-utils, as apt-ftparchive is no longer used.
  * router profile:
    - ensure there is a newline in the dnsmasq.conf before appending the
      dhcp-range line.
    - Include comment in dnsmasq configuration file.
    - Improve configuration of dnsmasq and /etc/network/interfaces.
    - clean up redundant echo for extra newline.
  * debian/copyright:
    - Use copyright-format 1.0.
    - Updated copyright information.
  * debian/control:
    - Updated package descriptions.
    - Bump Standards-Version to 3.9.6, no changes needed.
    - Bump versioned debhelper Build-Depends to 9.
    - Updated Vcs-* entries, switched to git.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 13 Aug 2015 15:10:08 +0200

simple-cdd (0.5.0) unstable; urgency=medium

  * Issue a warning when there are no package files to check with
    dose-debcheck, rather than hanging.  (Closes: #755524).

  * Verify checksums for downloaded installer images.

  * Improve keyring and gpg support:
    - Import keyring used for verifying release files.
    - Use a temporary gpg dir for each build.
    - Support multiple keyring files.

  * Improve support for backports:
    - Default to using the same debian mirror for backports, as backports
      are now available from all major debian mirrors.
    - Implement filterformulas for backports.

  * Improve support for extra mirrors:
    - Allow use of ListShellHook.
    - Support setting an alternate distribution for extra mirror.

  * Implement FilterFormula for udebs.

  * Add isolinux to default packages to download, which is used by newer
    versions of debian-cd.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 01 Sep 2014 20:16:08 -0700

simple-cdd (0.4.0) unstable; urgency=medium

  * build-simple-cdd:
    - Add --keyring option for verifying keys, defaulting to
      /usr/share/keyrings/debian-archive-keyring.gpg.
    - Add commandline option to build a DVD image by default. Thanks to
      Gustavo Ortiz Uriburu for the patch.
    - Add profile-specific .conf files to generated images.
    - Use newer preseeding for setting keyboard layout.
      Thanks to Gustavo Ortiz Uriburu for the patch.
    - Support debian-cd's OUT variable (Closes: #664189).
      Thanks to Vlad 'mend0za' Shakhov.
    - Use an updates mirrors by default, and allow user to set an alternate
      mirror.

  * profiles/default.preseed:
    - Update example to disable security updates (Closes: #626609).
    - Add examples for updates and backports.

  * profiles/ltsp.preseed:
    - ltsp-client-builder options no longer require --mount-cdrom,
      and needs "--updates-mirror none"
    - Use /media/cdrom when building ltsp chroot.

  * profiles/default.downloads:
    - Remove localization-config and type-handling, as they are no longer
      available (Closes: #701963). Thanks to Raphaël Hertzog.
    - Add grub-pc and grub-efi, remove grub.
    - Add console-setup, to support alternate keyboard layouts.
      (Closes: #635744)

  * profiles/vserver.*:
    - Remove vserver profile, as the kernel is no longer available.

  * tools/mirror/reprepro:
    - Allow setting verify_release_keys from keyring file.

  * tools/mirror/reprepro, tools/build/debian-cd:
    - Switch to using dose-debcheck from dose-distcheck package to verify
      package installability (Closes: #707603).
    - Support dose-debcheck dependency checking between components
      (i.e. non-free, contrib) by checking all Packages files for a
      given architecture in a single pass. Thanks to Martin von Wittich
      and Tom. (Closes: #650149).

  * simple-cdd-profiles:
    - Handle when .udebs or .packages files are empty or only contain
      comments (Closes: #632331). Thanks to Enrico Zini.

  * Document BOOT_TIMEOUT in simple-cdd.conf.detailed (Closes: #640343).

  * Update Standards-Version to 3.9.5:
    - Set simple-cdd-profiles to "Package-Type: udeb".
    - Remove obsolete DM-Upload-Allowed field.
    - Update Vcs-* headers.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 11 Apr 2014 15:29:48 -0700

simple-cdd (0.3.14) unstable; urgency=low

  * tools/mirror/wget:
    - Handle non-standard mirror paths with an arbitrary depth.  Thanks to
      Stefan Kisdaroczi for the patch.  (Closes: #589968)

  * Updated README. Thanks to Stefan Kisdaroczi for the patch.
    (Closes: #590701)

  * tools/testing/qemu:
    - detect alternate locations for the CD image (Closes: #611635). Thanks to
      Matthias Müller-Reineke.

  * tools/mirror/reprepro:
    - include rudimentary support for gpg-signed apt repositories. Thanks to
      Matthias Müller-Reineke for the suggestion.
    - do not specify "none" for components or udebcomponents, to reduce noise
      from reprepro.

  * test profile:
    - support grub with serial or terminal in both grub2 and grub-legacy.

  * Updated Standards-Version to 3.9.1, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 25 Feb 2011 13:07:14 -0800

simple-cdd (0.3.13) unstable; urgency=low

  * Added $profile.extras functionality. Thanks to Oxan van Leeuwen.
  * profiles:
    - router:
      + Switch to using arno-iptables-firewall, as ipmasq was dropped from
        Debian.
    - ltsp:
      + Remove xdebconfigurator from the ltsp profile, as it was removed from
        Debian.
    - vserver:
      + Fix typo in vserver-debiantools package name.
    - test:
      + Switch to using qemu's curses mode.
      + Pass the -no-reboot argument to qemu to ensure that the initial boot
        from disk starts automatically.

  * tools/testing/qemu:
    - Detect and use kvm support if available.
    - Drop special code to enable kqemu, as it's no longer supported in qemu.
    - Support using qemu-kvm if qemu is not available.

  * tools/build/debian-cd:
    - Hack to ensure that vga=normal in KERNEL_PARAMS is respected, needed to
      use -curses with qemu.

  * tools/mirror/reprepro:
    - Added option to limit udebs from extra_udeb_dist to certain packages.

  * debian/control:
    - Updated to use vagrant@debian.org in Uploaders field.
    - Updated Standards-Version to 3.8.4, no changes necessary.
    - Suggests: Drop qemu, add "qemu-system | qemu-kvm".
    - Depends: Drop debpartial-mirror, as it is largely untested and missing
      many features.

  * Added debian/source/format and set to "3.0 (native)".

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 27 Jun 2010 18:55:09 -0700

simple-cdd (0.3.12) unstable; urgency=low

  * Thanks to Raphaël Hertzog:
    - When using using non-official codenames, create links in debian-cd to
      emulate a known codename (Closes: #542241).
    - If CODENAME and DI_CODENAME do not match, generate a udeb repository with
      udebs from DI_CODENAME (Closes: #542235).
    - Consistantly use DI_CODENAME instead of di_codename (Closes: #542235).

  * New simple-cdd project on alioth:
    - Updated README to mention new simple-cdd-devel mailing list.
    - Changed Maintainer field in debian/control to point to simple-cdd-devel
      mailing list.
    - Updated information in debian/copyright and debian/control about new
      location for bzr repositories

  * Updated simple-cdd manpage to use properly quoted minus signs, otherwise
    groff turns them into hyphens.

  * Updated Standards-Version to 3.8.3, no changes necessary.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 18 Sep 2009 12:31:27 -0700

simple-cdd (0.3.11) unstable; urgency=low

  * use DI_CODENAME with custom_installer. based on patch by Raphaël Hertzog.
    (Closes: #529424)
  * fix bashism by using "id -ru" instead of "$UID" (Closes: #530190)
  * fix typo that caused NORECOMMENDS to be ignored when checking for
    recommends in reprepro hooks. thanks to Sergei Mutovkin.
  * update standards-version to 3.8.2, no changes needed.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 17 Jul 2009 17:09:56 +0200

simple-cdd (0.3.10) unstable; urgency=low

  * applied patch to get newer versions of reprepro working again. patch by
    Enrico Zini, with slight modification to handle an additional case.
    (Closes: #519324)
  * use edos-debcheck to report missing dependencies in the mirror and on the
    CD. thanks to Enrico Zini for the idea. (Closes: #491069)
  * profiles:
    - router:
      + new example a simple NAT router/firewall/dhcp server
    - test:
      + set preseeding for apt-setup/services-select to empty
  * add crude support for backports
  * switch to debhelper 7, drop cdbs
  * add ${misc:Depends} to simple-cdd dependencies to quiet lintian
  * updated standards-version to 3.8.1, no changes necessary.
  * updated debian/copyright to explicitly point to GPL-2

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 22 Apr 2009 15:38:57 -0700

simple-cdd (0.3.9) unstable; urgency=low

  * depend on debian-cd >= 3.1.0
  * update task and exclude handling to support newer versions of debian-cd.
    (Closes: #511755)
  * set MAXISOS and MAXJIGDOS used in newer versions of debian-cd.
  * only download installer when DI_WWW_HOME is not set, as debian-cd will
    handle it.
  * fix BOOT_TIMEOUT parameter.
  * debian/control: use proper Vcs-* header.
  * update architecture specific kernel selection.
  * ensure that relevent linux-image-2.6-* packages are also installed, as
    changes to linux-image metapackages do not pull in linux-image-2.6-* by
    default, which causes debian-installer to ask which kernel to install.
  * exit if being run as root. add --force-root commandline option to override.
  * profile updates:
    - ltsp:
      + include commented out example to enable DHCP server
      + remove packages no longer needed
    - vserver:
      + ensure that a vserver capable kernel is installed
      + install util-vserver and debootstrap by default
      + lower vserver-debiantools to an optional package

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 14 Jan 2009 10:58:16 -0800

simple-cdd (0.3.8) unstable; urgency=low

  * add syslinux-common and syslinux to default packages to download which
    fixes builds with newer versions debian-cd
  * depend on debian-cd >= 3.0.5, to ensure simple-cdd works with lenny

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 31 Oct 2008 16:39:36 -0700

simple-cdd (0.3.7) unstable; urgency=low

  * improved commandline processing, based on patch from Bruce Korb
  * changes for lenny:
    - attempt to get busybox by default (needed by initramfs-tools)
    - comment out preseeding to select a disk
  * updated --help output and manpage
  * get recommended packages if debian-cd is configured to use recommends
  * added --require-optional-packages which fails if optional packages are
    missing. thanks to Raphael Hertzog for the suggestion. (Closes: #484161)
  * remove Gustavo Franco as maintainer, with permission. thanks for all your
    work!
  * add myself as maintainer
  * add headers to allow debian-maintainer uploads
  * updated example ltsp profile with new preseeding options
  * commented out old preseeding questions for default profile
  * fix capitalization of Debian to please lintian
  * updated standards-version to 3.8.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 29 Jun 2008 16:28:00 -0700

simple-cdd (0.3.6) unstable; urgency=medium

  * urgency medium, as it closes an RC bug

  * fix dependency resolution for provides:
    - install providecheck into /usr/share/simple-cdd
      reported by David Paleino (Closes: #447293)
    - fix bug causing packages providing multiple features to be ignored

  * include help output for --build-tools
    patch from alessandro -oggei- ogier (Closes: #446734)

  * consistantly use "sed -i -e" instead of "sed -ie"
    reported by alessandro -oggei- ogier (Closes: #447031)

  * updated example configuration files
    thanks to alessandro -oggei- ogier (Closes: #446735)

  * language and country are obsoleted by locale:
    - dropped from man page and example configuration files

  * build-simple-cdd:
    - do not unset CONTRIB or NONFREE variables
    - include profile configuration files before setting default values
    - ensure that KERNEL_PARAMS gets exported

  * document using contrib and non-free in README

  * update bzr branch info in debian/copyright

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 23 Oct 2007 21:48:19 -0700

simple-cdd (0.3.5) unstable; urgency=low

  * updated README (Closes: #445139)
  * dependency resolution now handles provides

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed,  3 Oct 2007 12:34:06 -0700

simple-cdd (0.3.4) unstable; urgency=low

  * fix bug in handling proposed-updates:
    - append instead of overwrite (Closes: #431543)

  * documentation updates:
    - use x-basic profile in the example, since default is always installed
    - default protocol is ftp

  * added commandline options:
    - set distribution used (--dist)
    - pull simple-cdd-profiles udeb from newer distribution
      (--profiles-udeb-dist)
    - pull in udebs from additional distribution (--extra-udeb-dist)

  * dropped commandline options: --http-proxy and --default-profiles

  * possible to use different mirror for wget and reprepro mirror-tools

  * test profile: do not set kqemu options

  * add comment explaining why local_packages is handled differenty when
    reprepro is used (Closes: #442371)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 18 Sep 2007 09:39:09 -0700

simple-cdd (0.3.3) unstable; urgency=low

  * patch to use proposed-updates based on patches provided by Daniel Dehennin
    (Closes: #431543)
  * document --conf option (thanks to Chris AtLee, Closes: #440193)
  * export OFFICIAL_VAL (thanks to Vlad Shakhov, Closes: #435831)
  * fix typo in CODENAME (thanks to Vlad Shakhov, Closes: #435831)
  * enable kqemu if present (suggested by Daniel Dehennin, Closes: #431419)
  * drop commanline arguments: --extras and --packages

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat,  1 Sep 2007 15:52:27 -0700

simple-cdd (0.3.2) unstable; urgency=low

  [ Gustavo Franco ]
  * Introduce a simple-cdd manpage.
  * Add information about debootstrap run before it runs.
  * Add usage header into '--help' output.

  [ Vagrant Cascadian ]
  * build-simple-cdd:
    - drop use of debian-cd's CONF.sh
    - depend on lsb-release to set default CODENAME and DEBVERSION
    - improved handling of contrib and non-free
    - fix typo: cutsom_installer -> custom_installer
    - remove obsoleted language/country selection code
  * add XS-X-Vcs-Bzr field
  * use -g as shorthand for --graphical-installer
  * include simple-cdd manpage in package

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 16 Jun 2007 20:23:02 +0100

simple-cdd (0.3.1) unstable; urgency=low

  [ Gustavo Franco ]
  * Split simple-cdd.conf configuration file in two
    - simple-cdd.conf: Containing the minimal configuration options
    - simple-cdd.conf.detailed: Containing every possible option
  * Move debian-cd related code to build-tools/debian-cd
  * Move qemu related code to testing-tools/qemu

  [ Vagrant Cascadian ]
  * move tools to tools directory
    - build-tools -> tools/build
    - mirror-tools -> tools/mirror
    - testing-tools -> tools/testing
  * obsolete need for simple-cdd.conf
    - build-simple-cdd sets default values
    - add a --conf commandline option
    - move to examples documentation
  * build-simple-cdd can be run from anywhere
  * support components other than "main" (Closes: #422264)
  * checkpackages now works with directories containing underscores

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 22 May 2007 14:58:56 +0200

simple-cdd (0.3.0) experimental; urgency=low

  * updates for etch
    - depend on debian-cd >= 3.0.0
    - support for multi-arch CDs

  * documentation updates
    - improved README and comments
    - moved to cdd project
    - switched to bzr for revision control

  * simple-cdd-profile udeb integrates into debian-installer

  * improvements to download methods
    - significantly reduced number of files downloaded
    - switch default protocol for debian mirror to ftp
    - additional download methods:
      + reprepro, wget, rsync and debpartial-mirror
    - prefer reprepro and wget over depbartial-mirror

  * new profile options
    - load udebs when profile is selected
    - exclude packages from CD if profile is included

  * new profiles:
    - ltsp
    - vserver
    - x-basic
    - test

  * removed outdated profiles:
    - lessdisks
    - fg-baseserver
    - freekbox3*

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 26 Mar 2007 09:03:16 -0700

simple-cdd (0.2.1) unstable; urgency=low

  * freekbox3 profile:
    - defaults to 2.6 kernel
    - only add CD entry to sources.list if not already present
  * new experimental profiles:
    - fg-baseserver: a simple server image
      + include (but not install) software for:
        web, mail, dhcp, dns, http proxy
    - freekbox3-laptop: additional software for laptops
    - freekbox3-gnome: gnome-based profile similar to freekbox3
    - freekbox3-fgoly: minor changes to freekbox3 from freegeek olympia
  * removed unmaintained "sa" profile
  * per-profile descriptions
  * example exclude files
  * build-simple-cdd
    - "build profiles" that only are used during CD build
    - can be installed into PATH and run from anywhere
    - crude support for an additional mirror
    - allow comma-separated lists for profile selection
    - configuration files and commandline options included on CD
    - able to grab updates from a security mirror
    - new commandline options:
      + set default profiles: --default-profiles
      + build profiles: --build-profiles
      + security mirror: --security-mirror
      + extra mirror: --extra-mirror
  * simple-cdd-packages:
    - do not attempt to install packages already installed
    - option to override debconf priority and frontend
  * freekbox3-multi build profile: multi-profile freekbox3 installer
    - excluded packages by default
  * local package support:
    - attempt to resolve dependencies of local packages
    - use LOCAL/LOCALDEBS feature of debian-cd
  * checkpackages:
    - can now check for packages in any directory
    - handle packages with a "+" in name
    - check for packages included but not asked for
    - check for local packages

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 21 Oct 2005 11:10:14 -0600

simple-cdd (0.2.0) unstable; urgency=low

  * automatically include "default" profile
  * option to build local package repository
  * simplified language and country selection
  * added build-time configuration file for profiles
  * examples for setting default CD label
  * updated freekbox3 and lessdisks profiles
  * prompt before over-writing hard-disk partitions by default
  * build-simple-cdd: many commandline options added

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 11 Jul 2005 11:28:19 -0600

simple-cdd (0.1.1) unstable; urgency=low

  * switch to using cdbs
  * drop un-used substitution variables in control file
  * use build-depends-indep instead of build-depends
  * fix to work with debian-cd in sarge (2.2.22)
  * new option to use a 2.6 kernel by default
  * new option to use serial console
  * added post-install scripts for profiles

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 23 Jun 2005 14:18:11 -0600

simple-cdd (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue,  1 Feb 2005 12:52:42 -0800
